require 'tcell_agent'

TCellAgent.configuration.enabled = true
TCellAgent.configuration.instrument = true
TCellAgent.configuration.enable_intercept_requests = true
TCellAgent.configuration.disabled_instrumentation = []
TCellAgent.thread_agent.instrument_built_ins

# This monkey patch turns off blocking for LFI/CMDI when run in CRuby specs/
# test suite. The original method also depends on a Rails installation,
# which CRuby does not have installed.
module TCellAgent
  module Instrumentation
    module Lfi
      def self.block_file_access?(_path, _mode)
        false
      end
    end
  end

  module Cmdi
    def self.block_command?(_cmd)
      false
    end
  end
end
