require 'spec_helper'

module TCellAgent
  module Rust
    describe AgentConfig do
      context 'with initializers set' do
        before do
          TCellAgent.configure do |config|
            config.app_id = 'initializer_app_id_set'
            config.api_key = 'initializer_api_key_set'
            config.enabled_instrumentations = { 'authlogic' => false, :devise => false, 'doorkeeper' => false }
            config.hmac_key = config.app_id
          end
        end
        it 'should return the correct values' do
          config = AgentConfig.new(TCellAgent.initializer_configuration)

          expect(config['agent_type']).to eq 'Ruby'
          expect(config['overrides']['disabled_instrumentation']).to contain_exactly('authlogic', 'devise', 'doorkeeper')
          expect(config['overrides']['applications'][0][:api_key]).to eq 'initializer_api_key_set'
          expect(config['overrides']['applications'][0][:app_id]).to eq 'initializer_app_id_set'
          expect(config['overrides']['applications'][0][:api_key]).to eq 'initializer_api_key_set'
        end
      end
    end
  end
end
