require 'spec_helper'

module TCellAgent
  module SensorEvents
    module Util
      describe Util do
        context 'SHA256 Hash test' do
          it 'Create simple HMAC' do
            expect(Util).to receive(:get_hmac_key).and_return('testkey')
            expect(Util.hmac('testdata')).to eq('220afe7c01cca398fff2fc2c3687be94')
          end
          it 'Check with config HMAC' do
            old_hmac = TCellAgent.configuration.hmac_key
            hmac_key = 'HMAC KEY 123'
            TCellAgent.configuration.hmac_key = hmac_key
            expect(Util.get_hmac_key).to eq(hmac_key)
            TCellAgent.configuration.hmac_key = old_hmac
          end
        end
      end
    end
  end
end
