require 'spec_helper'

module TCellAgent
  module Utils
    describe Params do
      context 'flatten' do
        it 'should' do
          expect(
            Params.flatten(
              {
                :action => 'index',
                :utf8char => 'Müller',
                :waitlist_entries => { :email => 'emailone', :preferences => { :email => 'emaildos' } },
                :email_preferences => [:daily_digest, :reminders, 'Müller'],
                :users => [
                  { :email => 'one@email.com' },
                  { :email => 'dos@email.com' }
                ]
              },
              nil
            )
          ).to eq(
            {
              ['action'] => 'index',
              ['utf8char'] => 'Müller',
              %w[waitlist_entries email] => 'emailone',
              %w[waitlist_entries preferences email] => 'emaildos',
              [0, 'email_preferences'] => 'daily_digest',
              [1, 'email_preferences'] => 'reminders',
              [2, 'email_preferences'] => 'Müller',
              [0, 'users', 'email'] => 'one@email.com',
              [1, 'users', 'email'] => 'dos@email.com'
            }
          )
        end
      end
    end
  end
end
