require 'rspec'
require 'rails'
require 'webmock/rspec'
require 'fork_break'
require 'rack/request'

if ENV['COVERAGE']
  require 'simplecov'
  SimpleCov.start
end

ENV['TCELL_AGENT_SERVER'] = 'mock'
require File.join(File.dirname(__FILE__), '..', 'lib', 'tcell_agent')

Dir[File.join(File.dirname(__FILE__), 'support', '**', '*.rb')].sort.each { |f| require f }

def get_test_resource_path(name)
  File.join(File.dirname(__FILE__), 'support', 'resources', name)
end

NEW_FILE_NAME ||= "/tmp/#{SecureRandom.uuid}".freeze

require 'tcell_agent/agent'
require 'tcell_agent/rails/routes'

TCellAgent.configuration.enabled = true
TCellAgent.configuration.instrument = true
TCellAgent.configuration.enable_intercept_requests = true
TCellAgent.configuration.disabled_instrumentation = []
TCellAgent.thread_agent.instrument_built_ins
