# These modules create a logger and cache it as a class variable.
# This is an issue in tests when you want to mock out the logger
# because the cached logger will hold on to the mock object
# from tests across rspec tests which will result in this message:
#
# <Double "logger"> was originally created in one example
# but has leaked into another example and can no longer
# be used. rspec-mocks' doubles are designed to only last
# for one example, and you need to create a new one in each
# example you wish to use it for.module TCellAgent
#
# These overrides will force you to mock out these specific
# method calls by raising an exception if they are not mocked
module TCellAgent
  module Instrumentation
    def self.get_safe_block_logger
      raise StandardError, 'It is in your best interest to mock this method in specs'
    end
  end
end

module TCellAgent
  module Hooks
    module LoginFraud
      def self.get_logger
        raise StandardError, 'It is in your best interest to mock this method in specs'
      end
    end
  end
end

module TCellAgent
  module DLP
    def self.get_dlp_logger
      raise StandardError, 'It is in your best interest to mock this method in specs'
    end
  end
end
