def test_ruby2_ruby3_keywords(cls, func, args, options, res, min_ruby = '2.0.0')
  ruby_version = Gem::Version.new(RUBY_VERSION)

  context 'using ruby2_3 helper function' do
    after(:each) do
      expect(@result).to eq res unless res.nil?
    end

    if ruby_version >= Gem::Version.new(min_ruby) && \
       ruby_version < Gem::Version.new('3.0.0')
      # This spec tests the following format:
      #   File.new('/dev/null', 'w', 0o644, { :binmode => true })
      it 'behaves correctly in ruby < 2.7' do
        args_cp = Array.new(args)
        args_cp << options

        @result = cls.send(func, *args_cp)
      end
    end

    if ruby_version >= Gem::Version.new(min_ruby)
      # This spec tests the following format:
      #   File.new('/dev/null', 'w', 0o644, :binmode => true )
      it 'behaves correctly in ruby >= 3.0' do
        @result = cls.send(func, *args, **options)
      end
    end
  end
end
