lib = File.expand_path('lib', __dir__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tcell_agent/version'

Gem::Specification.new do |spec|
  spec.name          = 'tcell_agent'
  spec.version       = TCellAgent::VERSION
  spec.authors       = 'Rapid7, Inc.'
  spec.summary       = 'tCell Agent for Rails'
  spec.description   = 'This agent allows users to use the tCell service with their Rails app.'
  spec.homepage      = 'https://www.rapid7.com/tcell'
  spec.license       = 'Copyright (c) 2020 Rapid7, Inc. (see LICENSE file)'

  spec.files = Dir[
    'README.md',
    'LICENSE',
    'tcell_agent.gemspec',
    'spec/**/*',
    'lib/tcell_agent.rb',
    'lib/tcell_agent/**/*rb',
    'lib/tcell_agent/rust/libtcellagent.dylib',
    'lib/tcell_agent/rust/libtcellagent.so',
    'lib/tcell_agent/rust/libtcellagent-alpine.so',
    'lib/tcell_agent/rust/libtcellagent-x64.dll',
  ]
  spec.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w[lib config spec]

  spec.add_runtime_dependency 'ffi', '>=1.3.0'
  spec.add_runtime_dependency 'json', '>=1.8'
  spec.add_development_dependency 'bundler', '>= 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~>0.9'
  spec.add_development_dependency 'rspec-core'
end
